#Include "wx-c 0.9.2/wx.bi"

Declare Function App_OnInit WXCALL ( ) As wxBool
Declare Function App_OnExit WXCALL ( ) As wxInt


Dim Shared As wxApp Ptr wx_app
Dim Shared As wxFrame Ptr wx_frame
Dim Shared As wxPanel Ptr wx_panel

Function App_OnInit WXCALL ( ) As wxBool
	
	wx_frame = wxFrame_ctor( )
	wxFrame_Create( wx_frame, WX_NULL, -1, wxString_ctorUTF8("Testfile2"), 440, 312, 202, 274, wxFRAME_DEFAULT_STYLE Or wxCLOSE_BOX Xor wxMAXIMIZE_BOX Xor wxRESIZE_BORDER, WX_NULL )
	wx_panel = wxPanel_ctor2( wx_frame, -1, -1, -1, -1, -1, 0, WX_NULL )
	
	''
	'' create widget choice0
	''
	Dim As wxArrayString Ptr choice0_str
	choice0_str = wxArrayString_ctor( )
	wxArrayString_Add( choice0_str, wxString_ctorUTF8( "1" ) )
	wxArrayString_Add( choice0_str, wxString_ctorUTF8( "2" ) )
	wxArrayString_Add( choice0_str, wxString_ctorUTF8( "3" ) )
	Dim As wxChoice Ptr choice0
	choice0 = wxChoice_ctor( )
	wxChoice_Create( choice0, wx_panel, -1, 10, 10, -1, -1, choice0_str, 0, 0, 0 )
	
	wxControlWithItems_SetSelection( choice0, 2 )
	
	
	''
	'' create widget combo0
	''
	Dim As wxArrayString Ptr combo0_str
	combo0_str = wxArrayString_ctor( )
	wxArrayString_Add( combo0_str, wxString_ctorUTF8( "1" ) )
	wxArrayString_Add( combo0_str, wxString_ctorUTF8( "2" ) )
	wxArrayString_Add( combo0_str, wxString_ctorUTF8( "3" ) )
	Dim As wxComboBox Ptr combo0
	combo0 = wxComboBox_ctor( )
	wxComboBox_Create( combo0, wx_panel, -1, wxString_ctorUTF8("0"), wxPoint_ctor( 10, 50 ), wxSize_ctor( -1, -1 ), combo0_str, 0, 0, 0 )
	
	wxControlWithItems_SetSelection( combo0, 2 )
	
	
	''
	'' create widget radio0
	''
	Dim As wxArrayString Ptr radio0_str
	radio0_str = wxArrayString_ctor( )
	wxArrayString_Add( radio0_str, wxString_ctorUTF8( "1" ) )
	wxArrayString_Add( radio0_str, wxString_ctorUTF8( "2" ) )
	wxArrayString_Add( radio0_str, wxString_ctorUTF8( "3" ) )
	Dim As wxRadioBox Ptr radio0
	radio0 = wxRadioBox_ctor( )
	wxRadioBox_Create( radio0, wx_panel, -1, wxString_ctorUTF8("rad"), wxPoint_ctor( 10, 90 ), wxSize_ctor( -1, -1 ), radio0_str, 0, wxHORIZONTAL, 0, 0 )
	
	wxRadioBox_SetSelection( radio0, 2 )
	
	
	''
	'' create widget list0
	''
	Dim As wxArrayString Ptr list0_str
	list0_str = wxArrayString_ctor( )
	wxArrayString_Add( list0_str, wxString_ctorUTF8( "1" ) )
	wxArrayString_Add( list0_str, wxString_ctorUTF8( "2" ) )
	wxArrayString_Add( list0_str, wxString_ctorUTF8( "3" ) )
	Dim As wxListBox Ptr list0
	list0 = wxListBox_ctor( )
	wxListBox_Create( list0, wx_panel, -1, wxPoint_ctor( 120, 10 ), wxSize_ctor( -1, -1 ), list0_str, 0, 0, 0 )
	
	wxListBox_SetSelection( list0, 2, WX_TRUE )
	
	
	''
	'' create widget checklistbox0
	''
	Dim As wxArrayString Ptr checklistbox0_str
	checklistbox0_str = wxArrayString_ctor( )
	wxArrayString_Add( checklistbox0_str, wxString_ctorUTF8( "1" ) )
	wxArrayString_Add( checklistbox0_str, wxString_ctorUTF8( "2" ) )
	wxArrayString_Add( checklistbox0_str, wxString_ctorUTF8( "3" ) )
	Dim As wxListBox Ptr checklistbox0
	checklistbox0 = wxCheckListBox_ctor2( wx_panel, -1, wxPoint_ctor( 10, 150 ), wxSize_ctor( -1, -1 ), checklistbox0_str, 0, 0, 0 )
	
	wxListBox_SetSelection( checklistbox0, 2, WX_TRUE )
	
	wxCheckListBox_Check( checklistbox0, 0, WX_TRUE )
	wxCheckListBox_Check( checklistbox0, 1, WX_TRUE )
	
	
	wxWindow_Show( wx_frame, 1 )
	wxApp_OnInit( wx_app )
	Return 1
	
End Function

Function App_OnExit WXCALL ( ) As wxInt
	
	Return wxApp_OnExit( wx_app )
	
End Function


''main
wx_app = wxApp_ctor( )
wxApp_RegisterVirtual ( wx_app, @App_OnInit, @App_OnExit )
wxApp_Run(0, 0)
